import java.io.*;

public class ThreadClientSend implements Runnable {
    private SocketClient client;

    ThreadClientSend(SocketClient c) {
        client = c;
    }

    public void run() {
        BufferedReader userInput = null;
        try {
            userInput = new BufferedReader(new InputStreamReader(System.in));
            boolean end = false;
            while (!end) {
                String line = userInput.readLine();
                if (line.equals(".")) {
                    end = true;
                }
                if (!line.isEmpty()) {
                    client.sendMsg(line);
                    System.out.println(Thread.currentThread().getName() + " a envoye " + line);
                }
            }
        }
        catch (IOException e) {
            System.err.println("IOException: " + e);
            e.printStackTrace();
        }
        finally {
            if (userInput != null) {
                try {
                    userInput.close();
                }
                catch (IOException e) {
                    System.err.println("IOException: " + e);
                    e.printStackTrace();
                }
            }
        }
    }
}
